libwpg: libwpg::WPGBitmap Class Reference documentation

# libwpg::WPGBitmap Class Reference

`#include <WPGBitmap.h>`

List of all members.

## Public Member Functions
| WPGBitmap (int width, int height)
| WPGBitmap (int width, int height, bool verticalFlip, bool horizontalFlip)
| WPGBitmap (const WPGBitmap &)
WPGBitmap & | operator= (const WPGBitmap &)
void | copyFrom (const WPGBitmap &)
| ~WPGBitmap ()
int | width () const
int | height () const
WPGColor | pixel (int x, int y) const
void | setPixel (int x, int y, const WPGColor &color)
void | generateBase64DIB (WPGString &bmp) const
## Static Public Member Functions
static void | base64Encode (WPGString &base64, const char *data, const int len)
## Public Attributes
WPGRect | rect
## Static Private Member Functions
static void | writeU16 (char *buffer, unsigned &position, const int value)
static void | writeU32 (char *buffer, unsigned &position, const int value)
static void | writeU8 (char *buffer, unsigned &position, const int value)
## Private Attributes
Private *const | d
## Classes
class | Private

## Constructor & Destructor Documentation

libwpg::WPGBitmap::WPGBitmap | ( | int | width,
|  | int | height |
| ) |  |  |

libwpg::WPGBitmap::WPGBitmap | ( | int | width,
|  | int | height,
|  | bool | verticalFlip,
|  | bool | horizontalFlip |
| ) |  |  |

libwpg::WPGBitmap::WPGBitmap | ( | const WPGBitmap & | bitmap | ) |

libwpg::WPGBitmap::~WPGBitmap | ( |  | ) |

## Member Function Documentation

libwpg::WPGBitmap & libwpg::WPGBitmap::operator= | ( | const WPGBitmap & | bitmap | ) |

void libwpg::WPGBitmap::copyFrom | ( | const WPGBitmap & | bitmap | ) |

Referenced by operator=(), and WPGBitmap().

int libwpg::WPGBitmap::width | ( |  | ) | const

Referenced by generateBase64DIB().

int libwpg::WPGBitmap::height | ( |  | ) | const

Referenced by generateBase64DIB().

libwpg::WPGColor libwpg::WPGBitmap::pixel | ( | int | x,
|  | int | y |
| ) |  |  | const

Referenced by WPG1Parser::fillPixels(), and WPG2Parser::handleBitmapData().

void libwpg::WPGBitmap::setPixel | ( | int | x,
|  | int | y,
|  | const WPGColor & | color |
| ) |  |  |

Referenced by WPG1Parser::fillPixels(), and WPG2Parser::handleBitmapData().

void libwpg::WPGBitmap::generateBase64DIB | ( | libwpg::WPGString & | bmp | ) | const

Referenced by libwpg::WPGSVGGenerator::drawBitmap().

void libwpg::WPGBitmap::base64Encode | ( | WPGString & | base64,
|  | const char * | data,
|  | const int | len |
| ) |  |  | `[static]`

Referenced by generateBase64DIB(), and libwpg::WPGBinaryData::getBase64Data().

void libwpg::WPGBitmap::writeU16 | ( | char * | buffer,
|  | unsigned & | position,
|  | const int | value |
| ) |  |  | `[static, private]`

Referenced by generateBase64DIB().

void libwpg::WPGBitmap::writeU32 | ( | char * | buffer,
|  | unsigned & | position,
|  | const int | value |
| ) |  |  | `[static, private]`

Referenced by generateBase64DIB().

void libwpg::WPGBitmap::writeU8 | ( | char * | buffer,
|  | unsigned & | position,
|  | const int | value |
| ) |  |  | `[static, private]`

Referenced by generateBase64DIB().

## Member Data Documentation

WPGRect libwpg::WPGBitmap::rect

Referenced by copyFrom(), libwpg::WPGSVGGenerator::drawBitmap(), WPG2Parser::handleBitmapData(), WPG1Parser::handleBitmapTypeOne(), and WPG1Parser::handleBitmapTypeTwo().

Private* const libwpg::WPGBitmap::d`[private]`

Referenced by copyFrom(), generateBase64DIB(), height(), pixel(), setPixel(), width(), WPGBitmap(), and ~WPGBitmap().

The documentation for this class was generated from the following files:

- WPGBitmap.h
- WPGBitmap.cpp